%define name    ion
%define version 20030814
%define release 2mdk
%define prefix  /usr/X11R6
%define summary Tiling window manager with keyboard-oriented interface.
%define	ionetc  %_sysconfdir/X11/%name

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
Group:		Graphical desktop/Other
License:	Artistic
URL: 		http://modeemi.cs.tut.fi/~tuomov/ion/
# http://modeemi.cs.tut.fi/~tuomov/dl
Source: 	%name-devel-%version.tar.bz2
Patch1:         %name-system.mk.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:  freetype2-devel liblua-devel libltdl-devel
BuildRequires:  XFree86-devel


%description

Ion was written as an experiment on a different kind of window man-
agement model and it tries to address the navigation problem by hav-
ing the screen divided into frames that take up the whole screen and
never overlap.

Read the manpage or go nuts


%prep
%__rm -rf $RPM_BUILD_ROOT
%setup -q -n %name-devel-%version
%patch1 -b .orig

# Fix path-names in the manpage.
%__perl -pi -e "s#ETCDIR#"%ionetc"#g"       man/%name.1x.in
%__perl -pi -e "s#.I DOCDIR/##g"            man/%name.1x.in
%__perl -pi -e "s#.I X\(1x\)/#.I X(7x)#g"   man/%name.1x.in
%__perl -pi -e "s#ion-devel#ion#"           man/%name.1x.in ioncore/readconfig.c


%build
%__make depend
%make	PREFIX=%prefix \
	MANDIR=%prefix/man \
	ETCDIR=%ionetc \
        LUA_PATH=%_prefix


%install
%__rm -rf $RPM_BUILD_ROOT

%__make install	PREFIX=%buildroot%prefix \
		MANDIR=%buildroot%prefix/man \
		DOCS= \
		ETCDIR=%buildroot%ionetc \
                LUA_PATH=%_prefix

# Like somebody would need to link against ion in the near future.
%__rm %buildroot%prefix/lib/%name/*.a

%__mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d
%__cat >    $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d/14%name << EOF
NAME=%name
EXEC=%prefix/bin/%name
DESC=%summary
SCRIPT:
exec %prefix/bin/%name
EOF


%post
%make_session


%postun
%make_session


%clean
%__rm -rf $RPM_BUILD_ROOT


%files
%defattr(755,root,root,755)
%prefix/bin/*
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README
%prefix/man/man1/%name.1x.bz2
%dir %ionetc
%config(noreplace) %ionetc/*
%config(noreplace) %_sysconfdir/X11/wmsession.d/14%name
%defattr(-,root,root,755)
%dir %prefix/lib/%name
%prefix/lib/%name/*
%dir %prefix/share/%name
%prefix/share/%name/*


%changelog
* Tue Oct 21 2003 Han Boetes <han@linux-mandrake.com> 20030814-2mdk
- Fixed url.

* Fri Aug 22 2003 Han Boetes <han@linux-mandrake.com> 20030814-1mdk
- New snapshot-release.

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 20030627-5mdk
- rebuild

* Sun Aug  3 2003 Han Boetes <han@linux-mandrake.com> 20030627-4mdk
- rpm finds dependencies -> remove Requires:
- delete trailing-whitespace

* Fri Aug 01 2003 Michael Scherer <scherer.michael@free.fr> 20030627-3mdk
- BuildRequires ( XFree86-devel )

* Wed Jul 30 2003 Han Boetes <han@linux-mandrake.com> 20030627-2mdk
- According to Johnny Accot the %%buildroot%prefix/lib/%%name/*.la
  file is necesarry.

* Fri Jul 18 2003 Han Boetes <han@linux-mandrake.com> 20030627-1mdk
- bump.

* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030131-2mdk
- distlint error

* Mon Feb 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030131-1mdk
- from Han Boetes <han@linux-mandrake.com>
	- Bump !

* Mon Jan 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20021229-1mdk
- from Han Boetes <han@linux-mandrake.com>
	- Bump to the latest snapshot
	- Spec cleanups

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20021104-2mdk
- rebuild for rpm and glibc

* Tue Nov 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20021104-1mdk
- rpmlint happy with session file
- By Han Boetes <han@linux-mandrake.com>
	- 20021104
	- Fix path-names in manpage
	- Bump to a recent devel-release
	- Minor cleanups.

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020207-3mdk
- add missing session menu file

* Mon Jun 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020207-2mdk
- add session menu
- macro %%prefix
- Thx Han

* Sun Feb 17 2002 Han Boetes <han@mijncomputer.nl> 20020207-1mdk
- Bummmmmmmmmppppp...

* Sun Nov 11 2001 Han Boetes <han@mijncomputer.nl> 20011109-1mdk
- Update to new release.

* Sun Nov  4 2001 Han Boetes <han@mijncomputer.nl> 20010523-2mdk
- Corrected installation dirs to conform FHS

* Sun Nov  4 2001 Han Boetes <han@mijncomputer.nl> 20010523-1mdk
- Initial build
